Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mro.util.experimentation
Class ResultTable

    java.lang.Object
      mro.util.experimentation.ResultTable

    public class ResultTable

extends java.lang.Object

Result Table.

Field Summary
`(package private) GenericOrderedDoubleHashMap<java.lang.Integer,java.lang.Integer,java.lang.String>` | `columnTitleMap`
`private GenericOrderedDoubleHashMap<java.lang.Integer,java.lang.Integer,Result>` | `resultMap`
`private ResultPool` | `resultPool`
`(package private) GenericOrderedDoubleHashMap<java.lang.Integer,java.lang.Integer,java.lang.String>` | `rowTitleMap`
`private ResultTableStructure` | `rts`

Constructor Summary
`ResultTable(ResultTableStructure rts, ResultPool resultPool)`

Method Summary
`private void` | `construct()`
`void` | `constructCSVMatrixFile(java.io.File file)`
`void` | `constructCSVMatrixFile(java.lang.String fileName)`
`void` | `constructLatexTableFile(java.io.File file)`
`void` | `constructLatexTableFile(java.lang.String fileName)`
`void` | `constructMatlabMatrixFile(java.io.File file)`
`void` | `constructMatlabMatrixFile(java.lang.String fileName)`
`void` | `constructMatrixFile(java.io.File file, int kind)` "kind" -> 0 - Matlab matrix 1 - csv (MS Excel)
`private GenericOrderedDoubleHashMap<java.lang.Integer,java.lang.Integer,Measure>` | `constructMeasureMap()` No error handling!
`private void` | `constructRelative(RelativeTable relativeTable)`
`private static
`<T> java.util.Vector<java.util.Vector<T>>`
` | `copyVectorVector(java.util.Vector<java.util.Vector<T>> in)`
`private static
`<T> GenericOrderedDoubleHashMap<java.lang.Integer,java.lang.Integer,T>`
` | `getGenericOrderedDoubleHashMap(boolean first, java.util.Vector<java.util.Vector<T>> vecVec)`
`private static
`<T> java.util.Vector<java.util.Vector<T>>`
` | `getVectorVector(boolean first, GenericOrderedDoubleHashMap<java.lang.Integer,java.lang.Integer,T> map)`
`private void` | `insertRelativeInVecVec(java.util.Vector<java.util.Vector<Result>> resVecVec, java.util.Vector<RelativeEntry> relEntryVec)`
`private java.util.Vector<java.util.Vector<java.lang.String>>` | `insertRelativeTitlesInVecVec(java.util.Vector<java.util.Vector<java.lang.String>> titleVecVec, java.util.Vector<RelativeEntry> relEntryVec, int diffSize)`
`private void` | `insertSelfRelativeInVecVec(java.util.Vector<java.util.Vector<Result>> resVecVec, java.util.Vector<RelativeEntry> relEntryVec)`
`private void` | `printStringVector(java.util.Vector<java.lang.String> vec)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rts

    private ResultTableStructure rts

### resultPool

    private ResultPool resultPool

### columnTitleMap

    GenericOrderedDoubleHashMap<java.lang.Integer,java.lang.Integer,java.lang.String> columnTitleMap

### rowTitleMap

    GenericOrderedDoubleHashMap<java.lang.Integer,java.lang.Integer,java.lang.String> rowTitleMap

### resultMap

    private GenericOrderedDoubleHashMap<java.lang.Integer,java.lang.Integer,Result> resultMap

Constructor Detail

### ResultTable

    public ResultTable(ResultTableStructure rts,
                       ResultPool resultPool)
                throws MeasureNameConflictException

Throws:
  `MeasureNameConflictException`

Method Detail

### construct

    private void construct()
                    throws MeasureNameConflictException

  Throws:
    `MeasureNameConflictException`

### getVectorVector

    private static <T> java.util.Vector<java.util.Vector<T>> getVectorVector(boolean first,
                                                                             GenericOrderedDoubleHashMap<java.lang.Integer,java.lang.Integer,T> map)

### getGenericOrderedDoubleHashMap

    private static <T> GenericOrderedDoubleHashMap<java.lang.Integer,java.lang.Integer,T> getGenericOrderedDoubleHashMap(boolean first,
                                                                                                                         java.util.Vector<java.util.Vector<T>> vecVec)

### insertRelativeInVecVec

    private void insertRelativeInVecVec(java.util.Vector<java.util.Vector<Result>> resVecVec,
                                        java.util.Vector<RelativeEntry> relEntryVec)

### copyVectorVector

    private static <T> java.util.Vector<java.util.Vector<T>> copyVectorVector(java.util.Vector<java.util.Vector<T>> in)

### insertRelativeTitlesInVecVec

    private java.util.Vector<java.util.Vector<java.lang.String>> insertRelativeTitlesInVecVec(java.util.Vector<java.util.Vector<java.lang.String>> titleVecVec,
                                                                                              java.util.Vector<RelativeEntry> relEntryVec,
                                                                                              int diffSize)

### constructRelative

    private void constructRelative(RelativeTable relativeTable)

### insertSelfRelativeInVecVec

    private void insertSelfRelativeInVecVec(java.util.Vector<java.util.Vector<Result>> resVecVec,
                                            java.util.Vector<RelativeEntry> relEntryVec)

### constructMeasureMap

    private GenericOrderedDoubleHashMap<java.lang.Integer,java.lang.Integer,Measure> constructMeasureMap()

  No error handling!

### constructLatexTableFile

    public void constructLatexTableFile(java.lang.String fileName)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### constructLatexTableFile

    public void constructLatexTableFile(java.io.File file)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### printStringVector

    private void printStringVector(java.util.Vector<java.lang.String> vec)

### constructMatlabMatrixFile

    public void constructMatlabMatrixFile(java.lang.String fileName)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### constructMatlabMatrixFile

    public void constructMatlabMatrixFile(java.io.File file)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### constructCSVMatrixFile

    public void constructCSVMatrixFile(java.lang.String fileName)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### constructCSVMatrixFile

    public void constructCSVMatrixFile(java.io.File file)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### constructMatrixFile

    public void constructMatrixFile(java.io.File file,
                                    int kind)
                             throws java.io.IOException

  "kind" -> 0 - Matlab matrix 1 - csv (MS Excel)

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD